import .bool
import .connectives
import .leibniz
axiom nat.nat : Type.
constant nat.filter_nat_type : forall (return : Type) , ((nat.nat) -> return) -> (nat.nat) -> return.
constant nat.eqb : (nat.nat) -> (nat.nat) -> bool.bool.
constant nat.eqb_body : (nat.nat) -> (nat.nat) -> bool.bool.
axiom nat.axiom_eqb : forall (n:nat.nat) , (((connectives.equal) ((nat.nat) -> bool.bool)) (((nat.eqb) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> bool.bool)) ((nat.eqb_body) )) (n)).
theorem nat.eq_eqb : forall (n:nat.nat) , (((leibniz.leibniz) ((nat.nat) -> bool.bool)) (((nat.eqb) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> bool.bool)) ((nat.eqb_body) )) (n)) := fun (n : nat.nat) , ((((@connectives.equal_leibniz) ((nat.nat) -> bool.bool)) (((nat.eqb) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> bool.bool)) ((nat.eqb_body) )) (n))) ((@nat.axiom_eqb) (n)).
theorem nat.sym_eq_eqb : forall (n:nat.nat) , (((leibniz.leibniz) ((nat.nat) -> bool.bool)) ((((nat.filter_nat_type) ((nat.nat) -> bool.bool)) ((nat.eqb_body) )) (n))) (((nat.eqb) ) (n)) := fun (n : nat.nat) , ((((@leibniz.sym_leibniz) ((nat.nat) -> bool.bool)) (((nat.eqb) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> bool.bool)) ((nat.eqb_body) )) (n))) ((@nat.eq_eqb) (n)).
